## libaunit 21.0.0.fa386849

=== Makefile ===
RTS =
TARGET =
GPRBUILD  = gprbuild
GPRCLEAN = gprclean
GPRINSTALL = gprinstall

INSTALL:=$(shell exec=`which gprbuild`;if [ ! -x "$$exec" ]; then unset exec;fi;echo $$exec | sed -e 's/\/bin\/$(GPRBUILD).*//')

ifeq ($(RTS),)
   RTS=full
   RTS_CONF =
else
   RTS_CONF = --RTS=$(RTS)
endif

ifeq ($(TARGET),)
   TARGET=native
   TARGET_CONF =
else
   TARGET_CONF = --target=$(TARGET)
endif

MODE = Install

CONF_ARGS = $(TARGET_CONF) $(RTS_CONF)

GPROPTS = $(CONF_ARGS) -XAUNIT_BUILD_MODE=$(MODE) -XAUNIT_RUNTIME=$(RTS) \
		-XAUNIT_PLATFORM=$(TARGET)

.PHONY: all clean targets install_clean install

all:
	$(GPRBUILD) -p $(GPROPTS) lib/gnat/aunit.gpr

clean-lib:
	$(RM) -fr lib/aunit lib/aunit-obj

clean: clean-lib
	-${MAKE} -C docs clean

install-clean-legacy:
ifneq (,$(wildcard $(INSTALL)/lib/gnat/manifests/aunit))
	-$(GPRINSTALL) $(GPROPTS) --uninstall --prefix=$(INSTALL) \
		--project-subdir=lib/gnat aunit
endif

install-clean: install-clean-legacy
ifneq (,$(wildcard $(INSTALL)/share/gpr/manifests/aunit))
	-$(GPRINSTALL) $(GPROPTS) --uninstall --prefix=$(INSTALL) aunit
endif

install: install-clean
	$(GPRINSTALL) $(GPROPTS) -p -f --prefix=$(INSTALL) \
		--no-build-var lib/gnat/aunit.gpr

.PHONY: doc
doc:
	${MAKE} -C doc

RM	= rm

=== doc/Makefile ===
# Makefile for Sphinx documentation

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = DOC_NAME=$* sphinx-build
PAPER         =
BUILDDIR      = build
SOURCEDIR     = .

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) \
		  -c $(SOURCEDIR)/share \
		  -d $(BUILDDIR)/$*/doctrees \
		  $(SOURCEDIR)
DOC_LIST=aunit_cb
FMT_LIST=html pdf txt info

.PHONY: all help clean

all: $(foreach doc, $(DOC_LIST), $(doc).all)

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  DOC_NAME.html       to make standalone HTML files"
	@echo "  DOC_NAME.pdf        to make LaTeX files and run them through pdflatex"
	@echo "  DOC_NAME.txt        to make text files"
	@echo "  DOC_NAME.texinfo    to make Texinfo files"
	@echo "  DOC_NAME.info       to make info files"
	@echo "  DOC_NAME.all        to build DOC_NAME for all previous formats"
	@echo "  all                 to build all documentations in all formats"
	@echo "  html-all            same as previous rule but only for HTML format"
	@echo "  pdf-all             same as previous rule but only for PDF format"
	@echo "  txt-all             same as previous rule but only for text format"
	@echo "  texinfo-all         same as previous rule but only for texinfo format"
	@echo "  info-all            same as previous rule but only for info format"
	@echo ""
	@echo "DOC_NAME should be a documentation name in the following list:"
	@echo "  $(DOC_LIST)"
	@echo ""
	@echo "source and location can be overriden using SOURCEDIR and BUILDDIR variables"

clean:
	-rm -rf $(BUILDDIR)/*/html \
		$(BUILDDIR)/*/pdf \
		$(BUILDDIR)/*/txt \
		$(BUILDDIR)/*/info

%.html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/$*/html

%.pdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/$*/pdf
	cp $(SOURCEDIR)/share/sphinx.sty $(BUILDDIR)/$*/pdf
	$(MAKE) -C $(BUILDDIR)/$*/pdf all-pdf LATEXOPTS="-interaction=nonstopmode"

%.txt:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/$*/txt
	$(MAKE) -C $(BUILDDIR)/$*/txt plaintext

%.info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/$*/info
	$(MAKE) -C $(BUILDDIR)/$*/info info

%.texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/$*/texinfo

html-all: $(foreach doc, $(DOC_LIST), $(doc).html)

pdf-all: $(foreach doc, $(DOC_LIST), $(doc).pdf)

txt-all: $(foreach doc, $(DOC_LIST), $(doc).txt)

texinfo-all: $(foreach doc, $(DOC_LIST), $(doc).texinfo)

%.all:
	$(MAKE) $(foreach fmt, $(FMT_LIST), $*.$(fmt))

=== debian/changelog ===
libaunit (21.0.0.fa386849-2) unstable; urgency=medium

  * Reupload to unstable for gnat-10 transition.
  * Standards-Version: 4.5.1.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 13 Dec 2020 16:00:47 +0100

libaunit (21.0.0.fa386849-1) experimental; urgency=medium

  * New upstream snapshot (no ALI/SO bump in experimental).
  * Upstream now grants the GCC runtime exception to GPL-3+.
    Relicense Debian packaging accordingly.
  * Upstream removes invariant sections from GFDL-1.3+.
    Add a Debian -doc package for the user guide and move examples there.
    New patches: doc-conf-python3, doc-conf-sphinx4, clean-doc.diff.
  * tests: check installed examples instead of using source tree.
  * Upstream recommends to watch github instead of the community website.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 19 Oct 2020 23:36:00 +0000

libaunit (20-1) experimental; urgency=medium

  * New upstream release built with gnat-10. Rename lib and -dev accordingly.
  * Debhelper 13.
  * Drop obsolete Pre-Depends.
  * Prevent a warning on stderr during autopkgtests.
  * Replace user_gpr_args.diff with a simple workaround.
  * Pass build flags via the environment.
  * Call make via dh_auto_build, with options like -j2.

 -- Nicolas Boulenguez <nicolas@debian.org>  Fri, 22 May 2020 14:11:30 +0000

=== debian/control ===
Source: libaunit
Section: libdevel
Priority: optional
Maintainer: Nicolas Boulenguez <nicolas@debian.org>
Build-Depends:
 debhelper-compat (= 13),
Build-Depends-Arch:
 dh-sequence-ada-library,
 gnat,
# This line is parsed by debian/rules:
 gnat-10,
# gprbuild compatible with gnat-6
 gprbuild (>= 2015-2),
Build-Depends-Indep:
 dh-sequence-sphinxdoc,
# Sphinx >= 1.6 uses the latexmk driver:
 latexmk,
# fixing #869098:
 python3-sphinx (>= 1.6.3-2),
# To deduplicate examples in rules.
 rdfind,
 symlinks,
# makeinfo:
 texinfo,
# ptmr8t.tfm:
 texlive-fonts-recommended,
# fncychap.sty:
 texlive-latex-extra,
Standards-Version: 4.5.1
Rules-Requires-Root: no
Homepage: https://github.com/AdaCore/aunit
Vcs-Browser: https://salsa.debian.org/debian/libaunit
Vcs-Git: https://salsa.debian.org/debian/libaunit.git

Package: libaunit20-dev
Architecture: any
Depends: ${misc:Depends}, ${ada:Depends}
Suggests: libaunit-doc
Description: AUnit, a unit testing framework for Ada: development
 AUnit is a set of Ada packages based on the xUnit family of unit test
 frameworks. It's intended as a developer's tool to facilitate
 confident writing and evolution of Ada software. It is purposely
 lightweight, as one of its main goals is to make it easy to develop
 and run unit tests, rather than to generate artifacts for process
 management. The framework supports easy composition of sets of unit
 tests to provide flexibility in determining what tests to run for a
 given purpose.
 .
 Install this package if you want to write programs that use AUnit.

Package: libaunit20
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: AUnit, a unit testing framework for Ada: shared library
 AUnit is a set of Ada packages based on the xUnit family of unit test
 frameworks. It's intended as a developer's tool to facilitate
 confident writing and evolution of Ada software. It is purposely
 lightweight, as one of its main goals is to make it easy to develop
 and run unit tests, rather than to generate artifacts for process
 management. The framework supports easy composition of sets of unit
 tests to provide flexibility in determining what tests to run for a
 given purpose.
 .
 This package contains the runtime shared library.

Package: libaunit-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Suggests: gnat
# Examples were in the -dev package when there was no -doc package.
Replaces: libaunit18-dev, libaunit-dev, libaunit20-dev (<< 21.0.0.fa386849-1)
Breaks: libaunit18-dev, libaunit-dev, libaunit20-dev (<< 21.0.0.fa386849-1)
Description: AUnit, a unit testing framework for Ada: documentation
 AUnit is a set of Ada packages based on the xUnit family of unit test
 frameworks. It's intended as a developer's tool to facilitate
 confident writing and evolution of Ada software. It is purposely
 lightweight, as one of its main goals is to make it easy to develop
 and run unit tests, rather than to generate artifacts for process
 management. The framework supports easy composition of sets of unit
 tests to provide flexibility in determining what tests to run for a
 given purpose.
 .
 This package contains the manual and examples.

=== debian/rules ===
#!/usr/bin/make -f

$(foreach line,$(shell sed -n '\
  s/^ gnat-\([0-9.]\+\),$$/              GNAT_VERSION:=\1 /p;\
  s/^Package: lib[a-z-]\+\([0-9.]\+\)$$/ SOVERSION:=\1    /p;\
  ' debian/control),$(eval $(line)))

DPKG_EXPORT_BUILDFLAGS := 1
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_ADAFLAGS_MAINT_APPEND := -gnatfno -gnatwa -gnatVa
DEB_LDFLAGS_MAINT_APPEND := \
  -Wl,--no-allow-shlib-undefined \
  -Wl,--no-copy-dt-needed-entries \
  -Wl,--no-undefined
include /usr/share/dpkg/buildflags.mk
include $(wildcard /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk)
# wildcard in case only Build-Depends-Indep are installed.

%:
	dh $@

######################################################################
# Ignore upstream Makefile/configure.
.PHONY: $(addprefix override_dh_auto_,configure build-arch build-indep test install)
# clean target is OK.

override_dh_auto_build-arch:
# static library
	dh_auto_build -- GPRBUILD='gprbuild $(BUILDER_OPTIONS)'
# shared library
	SOVERSION=$(SOVERSION) dh_auto_build -- GPRBUILD='gprbuild $(BUILDER_OPTIONS)'

######################################################################
INSTALLED_EXAMPLES := \
  debian/libaunit-doc/usr/share/doc/libaunit-doc/examples/*/

.PHONY: execute_after_dh_installexamples-indep
execute_after_dh_installexamples-indep:
  # Replace duplicate files with symlinks.
	rdfind -makeresultsfile false -makesymlinks true $(INSTALLED_EXAMPLES)
  # Make these symlinks relative.
	symlinks -r -s -c $(INSTALLED_EXAMPLES)

override_dh_auto_build-indep:
  ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
    # Replace sphinx.sty copy with with packaged one.
	ln -fs /usr/share/sphinx/texinputs/sphinx.sty doc/share/sphinx.sty
	$(MAKE) -Cdoc aunit_cb.html aunit_cb.pdf aunit_cb.txt
  endif

=== debian/tests/control ===
Tests: link-with-shared examples
Depends: @, gprbuild

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%aunit-$1.tar.gz%,\
      dversionmangle=s/^20//" \
https://github.com/AdaCore/aunit/tags \
(?:.*?/)?v?(\d[\d.]*)\.tar\.gz

## libaunit 22.0.0

=== debian/changelog ===
libaunit (22.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-11 transition
  * Configure branch names for git-buildpackage
  * Require dh-ada-library 7.5, which generates ada:Depends differently

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 08 May 2022 18:48:16 +0200

libaunit (22.0.0-1) experimental; urgency=medium

  * Build new upstream release with gnat-11 in experimental.
    Rename -dev and library packages accordingly.
  * Drop obsolete version restriction in build-dependencies.
  * Build-Depend: tex-gyre. Closes: #997445.
  * Standards-Version: 4.6.0.
  * Add missing copyright stanza for sphinx.sty.
  * Use unversioned debian_packaging.mk from gnat package.
  * Add upstream metadata.
  * uscan: remove unneeded filenamemangle option.

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 22 Mar 2022 12:36:57 +0000

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,11 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
+ dh-ada-library (>= 7.5),
  dh-sequence-ada-library,
  gnat,
-# This line is parsed by debian/rules:
- gnat-10,
-# gprbuild compatible with gnat-6
- gprbuild (>= 2015-2),
+ gnat-11,
+ gprbuild,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
 # Sphinx >= 1.6 uses the latexmk driver:
@@ -20,19 +19,20 @@
 # To deduplicate examples in rules.
  rdfind,
  symlinks,
+ tex-gyre,
 # makeinfo:
  texinfo,
 # ptmr8t.tfm:
  texlive-fonts-recommended,
 # fncychap.sty:
  texlive-latex-extra,
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Homepage: https://github.com/AdaCore/aunit
 Vcs-Browser: https://salsa.debian.org/debian/libaunit
 Vcs-Git: https://salsa.debian.org/debian/libaunit.git
 
-Package: libaunit20-dev
+Package: libaunit21-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Suggests: libaunit-doc
@@ -48,7 +48,7 @@
  .
  Install this package if you want to write programs that use AUnit.
 
-Package: libaunit20
+Package: libaunit21
 Section: libs
 Architecture: any
 Multi-Arch: same

=== debian/rules ===
--- 
+++ 
@@ -1,9 +1,7 @@
 #!/usr/bin/make -f
 
-$(foreach line,$(shell sed -n '\
-  s/^ gnat-\([0-9.]\+\),$$/              GNAT_VERSION:=\1 /p;\
-  s/^Package: lib[a-z-]\+\([0-9.]\+\)$$/ SOVERSION:=\1    /p;\
-  ' debian/control),$(eval $(line)))
+SOVERSION != \
+  sed -n '/^Package: libaunit\([0-9.]\+\)$$/{s//\1/p;q}' debian/control
 
 DPKG_EXPORT_BUILDFLAGS := 1
 DEB_BUILD_MAINT_OPTIONS := hardening=+all
@@ -13,7 +11,8 @@
   -Wl,--no-copy-dt-needed-entries \
   -Wl,--no-undefined
 include /usr/share/dpkg/buildflags.mk
-include $(wildcard /usr/share/ada/debian_packaging-$(GNAT_VERSION).mk)
+include /usr/share/dpkg/buildopts.mk
+include $(wildcard /usr/share/ada/debian_packaging.mk)
 # wildcard in case only Build-Depends-Indep are installed.
 
 %:
@@ -26,9 +25,10 @@
 
 override_dh_auto_build-arch:
 # static library
-	dh_auto_build -- GPRBUILD='gprbuild $(BUILDER_OPTIONS)'
+	dh_auto_build -- GPRBUILD='gprbuild $(GPRBUILDFLAGS)'
 # shared library
-	SOVERSION=$(SOVERSION) dh_auto_build -- GPRBUILD='gprbuild $(BUILDER_OPTIONS)'
+	SOVERSION=$(SOVERSION) \
+	dh_auto_build -- GPRBUILD='gprbuild $(GPRBUILDFLAGS)'
 
 ######################################################################
 INSTALLED_EXAMPLES := \
@@ -45,5 +45,6 @@
   ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
     # Replace sphinx.sty copy with with packaged one.
 	ln -fs /usr/share/sphinx/texinputs/sphinx.sty doc/share/sphinx.sty
-	$(MAKE) -Cdoc aunit_cb.html aunit_cb.pdf aunit_cb.txt
+	dh_auto_build --sourcedirectory=doc -- aunit_cb.html aunit_cb.pdf aunit_cb.txt \
+	  $(addprefix SPHINXOPTS=-j,$(DEB_BUILD_OPTION_PARALLEL))
   endif

## libaunit 23.0.0

=== examples/calculator/Makefile ===
all:
	gprbuild -p -f -Pharness

coverage:
	gprbuild -p -f -Pharness -XCOVERAGE=yes
	./test_calculator
	cd obj;	gcov ../../tested_lib/obj/*.gcda

clean:
	gprclean -Pharness
	gprclean -Ptested_lib/testlib
	-rm -rf obj
	-rm -rf tested_lib/obj
	-rm -rf tested_lib/lib

=== debian/changelog ===
libaunit (23.0.0-3) unstable; urgency=medium

  * Break/Replace libaunit*-dev since oldstable. Closes: #1034934.

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 10 May 2023 22:30:19 +0200

libaunit (23.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-12 transition.
  * Standards-Version: 4.6.2 (no changes).

 -- Nicolas Boulenguez <nicolas@debian.org>  Tue, 27 Dec 2022 01:11:06 +0100

libaunit (23.0.0-1) experimental; urgency=medium

  * Build with unicode 15. No -dev renamings in experimental.
  * New upstream version (unchanged from previous snapshot).

 -- Nicolas Boulenguez <nicolas@debian.org>  Sat, 26 Nov 2022 12:16:46 +0000

libaunit (23~20220908-3) experimental; urgency=medium

  * Build new snapshot with gcc/12 for experimental.
    Rename -dev package accordingly.
  * Install with gprinstall and dh-ada-library/8.1.
  * Stop build-depending on the unversioned gnat.
  * Standards-Version 4.6.1
  * Disable parallelism in 'make doc' (it is enabled in sphinx).

 -- Nicolas Boulenguez <nicolas@debian.org>  Wed, 14 Sep 2022 14:41:42 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,9 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
- dh-ada-library (>= 7.5),
+ dh-ada-library (>= 8.1),
  dh-sequence-ada-library,
- gnat,
- gnat-11,
+ gnat-12,
  gprbuild,
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
@@ -26,13 +25,15 @@
  texlive-fonts-recommended,
 # fncychap.sty:
  texlive-latex-extra,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AdaCore/aunit
 Vcs-Browser: https://salsa.debian.org/debian/libaunit
 Vcs-Git: https://salsa.debian.org/debian/libaunit.git
 
-Package: libaunit21-dev
+Package: libaunit22-dev
+Breaks: libaunit18-dev, libaunit19-dev, libaunit20-dev, libaunit21-dev
+Replaces: libaunit18-dev, libaunit19-dev, libaunit20-dev, libaunit21-dev
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Suggests: libaunit-doc

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS := 1
DEB_BUILD_MAINT_OPTIONS := hardening=+all
DEB_ADAFLAGS_MAINT_APPEND := -gnatfno -gnatwa -gnatVa
DEB_LDFLAGS_MAINT_APPEND := \
  -Wl,--no-allow-shlib-undefined \
  -Wl,--no-copy-dt-needed-entries \
  -Wl,--no-undefined
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/buildopts.mk
include $(wildcard /usr/share/ada/packaging.mk)
# wildcard in case only Build-Depends-Indep are installed.

%:
	dh $@

######################################################################
# clean target is OK.

override_dh_auto_build-arch:
# static library
	gprbuild lib/gnat/aunit.gpr $(GPRBUILDFLAGS) -XSOVERSION=
# shared library
	gprbuild lib/gnat/aunit.gpr $(GPRBUILDFLAGS) \
	  -XSOVERSION=$(aunit_SO_VERSION)

override_dh_auto_install-arch:
	gprinstall lib/gnat/aunit.gpr $(static_GPRINSTALLFLAGS) -XSOVERSION=
	gprinstall lib/gnat/aunit.gpr $(call shared_GPRINSTALLFLAGS,aunit) \
	  -XSOVERSION=$(aunit_SO_VERSION)
######################################################################
INSTALLED_EXAMPLES := \
  debian/libaunit-doc/usr/share/doc/libaunit-doc/examples/*/

.PHONY: execute_after_dh_installexamples-indep
execute_after_dh_installexamples-indep:
  # Replace duplicate files with symlinks.
	rdfind -makeresultsfile false -makesymlinks true $(INSTALLED_EXAMPLES)
  # Make these symlinks relative.
	symlinks -r -s -c $(INSTALLED_EXAMPLES)

override_dh_auto_build-indep:
  ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
    # Replace sphinx.sty copy with with packaged one.
	ln -fs /usr/share/sphinx/texinputs/sphinx.sty doc/share/sphinx.sty
    # Avoid dh_auto_build (make -jN would launch several sphinx).
	$(MAKE) -Cdoc aunit_cb.html aunit_cb.pdf aunit_cb.txt \
	  $(DEB_BUILD_OPTION_PARALLEL:%=SPHINXOPTS=-j%)
  endif

override_dh_auto_install-indep:

## libaunit 24.0.0

=== doc/Makefile ===
--- 
+++ 
@@ -45,7 +45,9 @@
 	-rm -rf $(BUILDDIR)/*/html \
 		$(BUILDDIR)/*/pdf \
 		$(BUILDDIR)/*/txt \
-		$(BUILDDIR)/*/info
+		$(BUILDDIR)/*/info \
+		$(BUILDDIR)/*/doctrees \
+		share/__pycache__
 
 %.html:
 	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/$*/html

=== debian/changelog ===
libaunit (24.0.0-2build1) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 01:40:05 +0000

libaunit (24.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-13/time_t64 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Sun, 17 Mar 2024 18:25:45 +0100

libaunit (24.0.0-1) experimental; urgency=medium

  * New upstream release, requiring python3-sphinx-rtd-theme.
  * Upload to experimental because of the following transitions.
  * Build with gnat-13.  Rename library package with new SOversion.
  * Build with dh-ada-library/9. Remove version from -dev package name.
    Provide a name containing a hash.
    Build-Depend: gnat instead of gnat-13. Break/Replace previous -devs.
  * Improve readability of debian/rules.
  * Simplify adapt_projects.diff.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 21 Dec 2023 00:02:30 +0000

=== debian/rules ===
--- 
+++ 
@@ -18,20 +18,22 @@
 ######################################################################
 # clean target is OK.
 
+project := -Plib/gnat/aunit.gpr
+static := -XAUNIT_LIBRARY_KIND=static
+shared := -XAUNIT_LIBRARY_KIND=relocatable \
+  -XAUNIT_LIBRARY_VERSION=libaunit.so.$(aunit_SO_VERSION)
+
 override_dh_auto_build-arch:
-# static library
-	gprbuild lib/gnat/aunit.gpr $(GPRBUILDFLAGS) -XSOVERSION=
-# shared library
-	gprbuild lib/gnat/aunit.gpr $(GPRBUILDFLAGS) \
-	  -XSOVERSION=$(aunit_SO_VERSION)
+	gprbuild $(project) $(static) $(GPRBUILDFLAGS)
+	gprbuild $(project) $(shared) $(GPRBUILDFLAGS)
 
 override_dh_auto_install-arch:
-	gprinstall lib/gnat/aunit.gpr $(static_GPRINSTALLFLAGS) -XSOVERSION=
-	gprinstall lib/gnat/aunit.gpr $(call shared_GPRINSTALLFLAGS,aunit) \
-	  -XSOVERSION=$(aunit_SO_VERSION)
+	gprinstall $(project) $(static) $(static_GPRINSTALLFLAGS)
+	gprinstall $(project) $(shared) $(call shared_GPRINSTALLFLAGS,aunit)
+
 ######################################################################
 INSTALLED_EXAMPLES := \
-  debian/libaunit-doc/usr/share/doc/libaunit-doc/examples/*/
+  debian/libaunit-doc/usr/share/doc/libaunit-dev/examples/*/
 
 .PHONY: execute_after_dh_installexamples-indep
 execute_after_dh_installexamples-indep:

=== debian/tests/control ===
Tests: examples
Depends: gprbuild, libaunit-dev, libaunit-doc

Tests: link-with-shared
Depends: gprbuild, libaunit-dev

## libaunit 25.0.0

=== Makefile ===
--- 
+++ 
@@ -27,16 +27,28 @@
 GPROPTS = $(CONF_ARGS) -XAUNIT_BUILD_MODE=$(MODE) -XAUNIT_RUNTIME=$(RTS) \
 		-XAUNIT_PLATFORM=$(TARGET)
 
+# For the 64 bits architectures, the large code model has to be used.
+# with rtp-large, gprconfig ensures that -mcmodel=large is used,
+# but it is managed here for the default (kernel).
+GPROPTS_EXTRA=
+ifneq ($(strip $(filter aarch64-wrs-vxworks7r2 powerpc64-wrs-vxworks7r2 x86_64-wrs-vxworks7r2,$(TARGET))),)
+ifeq (${RTS_CONF},)
+# This covers the kernel RTS because for rtp, the RTS_OPT variable is defined to --RTS=rtp.
+# kernel is the default and the RTS_OPT is not set in that case.
+GPROPTS_EXTRA+=-cargs -mcmodel=large -largs -mcmodel=large
+endif
+endif
+
 .PHONY: all clean targets install_clean install
 
 all:
-	$(GPRBUILD) -p $(GPROPTS) lib/gnat/aunit.gpr
+	$(GPRBUILD) -p $(GPROPTS) lib/gnat/aunit.gpr ${GPROPTS_EXTRA}
 
 clean-lib:
 	$(RM) -fr lib/aunit lib/aunit-obj
 
 clean: clean-lib
-	-${MAKE} -C docs clean
+	-${MAKE} -C doc clean
 
 install-clean-legacy:
 ifneq (,$(wildcard $(INSTALL)/lib/gnat/manifests/aunit))

=== doc/Makefile ===
--- 
+++ 
@@ -54,7 +54,6 @@
 
 %.pdf:
 	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/$*/pdf
-	cp $(SOURCEDIR)/share/sphinx.sty $(BUILDDIR)/$*/pdf
 	$(MAKE) -C $(BUILDDIR)/$*/pdf all-pdf LATEXOPTS="-interaction=nonstopmode"
 
 %.txt:

=== examples/Makefile ===
ALL_TARGETS = calculator failures liskov simple_test test_caller test_fixture

all: $(ALL_TARGETS)

$(ALL_TARGETS):
	make -C $@

clean:
	$(foreach DIR,$(ALL_TARGETS), make -C $(DIR) clean &&) echo end

.PHONY: $(ALL_TARGETS) clean

=== debian/changelog ===
libaunit (25.0.0-2build1) questing; urgency=medium

  * No-change rebuild for gnat ABI, triggered by glibc 2.42.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 21 Sep 2025 14:14:37 +0200

libaunit (25.0.0-2) unstable; urgency=medium

  * Reupload to unstable for the gnat-14 transition.

 -- Nicolas Boulenguez <nicolas@debian.org>  Mon, 10 Mar 2025 14:06:01 +0100

libaunit (25.0.0-1) experimental; urgency=medium

  * Build new upstream release with gnat-14.
    Remove sphinx.sty stuff.
  * Update Standards-Version and copyright years.
  * Enable salsa continuous integration via debian/salsa-ci.yml.
  * Add upstream VCS to debian/gbp.conf.

 -- Nicolas Boulenguez <nicolas@debian.org>  Thu, 02 Jan 2025 12:39:09 +0000

=== debian/control ===
--- 
+++ 
@@ -5,16 +5,18 @@
 Build-Depends:
  debhelper-compat (= 13),
 Build-Depends-Arch:
- dh-ada-library (>= 8.1),
+ dh-ada-library (>= 9.1),
  dh-sequence-ada-library,
- gnat-12,
- gprbuild,
+ gnat,
+ gnat-14,
+ gprbuild (>= 2025.0.0-2),
 Build-Depends-Indep:
  dh-sequence-sphinxdoc,
 # Sphinx >= 1.6 uses the latexmk driver:
  latexmk,
 # fixing #869098:
  python3-sphinx (>= 1.6.3-2),
+ python3-sphinx-rtd-theme,
 # To deduplicate examples in rules.
  rdfind,
  symlinks,
@@ -25,15 +27,18 @@
  texlive-fonts-recommended,
 # fncychap.sty:
  texlive-latex-extra,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/AdaCore/aunit
 Vcs-Browser: https://salsa.debian.org/debian/libaunit
 Vcs-Git: https://salsa.debian.org/debian/libaunit.git
 
-Package: libaunit22-dev
-Breaks: libaunit18-dev, libaunit19-dev, libaunit20-dev, libaunit21-dev
-Replaces: libaunit18-dev, libaunit19-dev, libaunit20-dev, libaunit21-dev
+Package: libaunit-dev
+Breaks: libaunit18-dev, libaunit19-dev, libaunit20-dev, libaunit21-dev,
+ libaunit22-dev
+Replaces: libaunit18-dev, libaunit19-dev, libaunit20-dev, libaunit21-dev,
+ libaunit22-dev
+Provides: ${ada:Provides}
 Architecture: any
 Depends: ${misc:Depends}, ${ada:Depends}
 Suggests: libaunit-doc
@@ -49,7 +54,7 @@
  .
  Install this package if you want to write programs that use AUnit.
 
-Package: libaunit21
+Package: libaunit22
 Section: libs
 Architecture: any
 Multi-Arch: same
@@ -74,8 +79,8 @@
 Built-Using: ${sphinxdoc:Built-Using}
 Suggests: gnat
 # Examples were in the -dev package when there was no -doc package.
-Replaces: libaunit18-dev, libaunit-dev, libaunit20-dev (<< 21.0.0.fa386849-1)
-Breaks: libaunit18-dev, libaunit-dev, libaunit20-dev (<< 21.0.0.fa386849-1)
+Replaces: libaunit18-dev, libaunit20-dev (<< 21.0.0.fa386849-1)
+Breaks: libaunit18-dev, libaunit20-dev (<< 21.0.0.fa386849-1)
 Description: AUnit, a unit testing framework for Ada: documentation
  AUnit is a set of Ada packages based on the xUnit family of unit test
  frameworks. It's intended as a developer's tool to facilitate

=== debian/rules ===
--- 
+++ 
@@ -44,8 +44,6 @@
 
 override_dh_auto_build-indep:
   ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
-    # Replace sphinx.sty copy with with packaged one.
-	ln -fs /usr/share/sphinx/texinputs/sphinx.sty doc/share/sphinx.sty
     # Avoid dh_auto_build (make -jN would launch several sphinx).
 	$(MAKE) -Cdoc aunit_cb.html aunit_cb.pdf aunit_cb.txt \
 	  $(DEB_BUILD_OPTION_PARALLEL:%=SPHINXOPTS=-j%)
